var webpack = require('webpack');

module.exports = {
  entry: './src/PokedexJS.ts',
  output: {
    filename: './dist/PokedexJS.js'
  },
  devtool: 'source-map',
  resovle: {
    extensions: ['', '.ts', '.js'],

  },
  plugins: [
    new webpack.optimize.UglifyJsPlugin()
  ],
  module: {
    loaders: [
      { test: /\.ts$/, loader: 'ts' }
    ]
  }
}
