"use strict";
var PokedexJS = (function () {
    function PokedexJS() {
    }
    PokedexJS.prototype.createPokedexArray = function (entries) {
        var PokedexArray;
        for (var entry in entries) {
            var splitEntryArray = entry.split('-');
            if (splitEntryArray.length === 0) {
                throw new TypeError('Entries cannot have a length of 0.');
            }
            if (splitEntryArray.length === 1) {
                PokedexArray.push(Number(splitEntryArray[0]));
            }
            if (splitEntryArray.length === 2) {
                var splitEntryA = Number(splitEntryArray[0]);
                var splitEntryB = Number(splitEntryArray[1]);
                if (splitEntryA > splitEntryB) {
                    throw new Error('First part of entry must be lower number.');
                }
                else {
                    for (var splitEntry in splitEntryArray) {
                        while (splitEntryA < splitEntryB) {
                            PokedexArray.push(splitEntryA);
                            splitEntryA++;
                        }
                    }
                }
            }
            if (splitEntryArray.length > 2) {
                throw new TypeError('Each entry cannot have more than 2 numbers');
            }
        }
        return PokedexArray;
    };
    PokedexJS.prototype.createPokedex = function (entries, output, filter) {
        var PokedexArray = this.createPokedexArray(entries);
    };
    return PokedexJS;
}());
exports.PokedexJS = PokedexJS;
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = PokedexJS;
//# sourceMappingURL=PokedexJS.js.map