"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var ListOf_1 = require('../ListOf');
var CroagunkClass = (function () {
    function CroagunkClass() {
        this.species = 'Croagunk';
        this.sprite = 'croagunk.png';
        this.spriteShiny = 'croagunk-s.png';
        this.dexNumbers = [{ region: 'National', num: 453 }];
        this.genderRatio = 0.5;
        this.types = new ListOf_1.default(['Poison', 'Fighting']);
        this.abilities = ['Anticipation', 'Dry Skin', 'Poison Touch'];
        this.height = 1000;
        this.weight = 1000;
        this.baseStats = [1, 1, 1, 1, 2, 3];
    }
    return CroagunkClass;
}());
exports.CroagunkClass = CroagunkClass;
var CroagunkMega = (function (_super) {
    __extends(CroagunkMega, _super);
    function CroagunkMega() {
        _super.apply(this, arguments);
        this.species = 'Croagunk-Mega';
        this.baseStats = [100, 200, 300, 400, 555];
    }
    return CroagunkMega;
}(CroagunkClass));
exports.CroagunkMega = CroagunkMega;
exports.Croagunk = new CroagunkClass();
//# sourceMappingURL=Croagunk.js.map