import Pokemon from './interface.pokemon';

export interface DexNumber {
  region: string;
  num: number;
}

export interface Description {
  game: string;
  text: string;
}

export interface GenderRatio {
  gender: string;
  ratio: number;
}

export interface Evolution {
  pokemon: Pokemon;
  method: string;
  level?: number;
}

export interface Move {

}

export interface MoveList {
  game: string;
  list: LevelUpMove[];
}

export interface LevelUpMove {
  level: number;
  attack: Move;
}

export interface PreEvoMove {
  preEvo: Pokemon;
  attack: Move;
}

export interface TransferOnlyMove {
  generation: number;
  attack: Move;
}

export interface SpecialMove {
  method: string;
  attack: Move;
}

export interface Item {
  name: string;
}

export interface Location {
  game: string;
  locations: string[];
}

export interface PokemonTypes {

}
